## morecantile 7.0.3

=== benchmarks/requirements.txt ===
pytest
pytest-benchmark

morecantile
mercantile
utiles

## morecantile 7.0.1

=== debian/changelog ===
morecantile (7.0.1-1) unstable; urgency=low

  * Initial release (Closes: #1124244).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 29 Dec 2025 12:09:24 +0000

=== debian/control ===
Source: morecantile
Section: python
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-attr,
               python3-click,
               python3-hatchling,
               python3-mercantile <!nocheck>,
               python3-pydantic,
               python3-pyproj,
               python3-pytest <!nocheck>
Standards-Version: 4.7.2
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/developmentseed/morecantile
Vcs-Browser: https://salsa.debian.org/debian-gis-team/morecantile
Vcs-Git: https://salsa.debian.org/debian-gis-team/morecantile.git

Package: python3-morecantile
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Recommends: python3-rasterio
Description: Construct and use map tile grids (a.k.a TileMatrixSet / TMS)
 Morecantile is like mercantile (the best tool to work with Web
 Mercator tile indexes), but with support for other TileMatrixSet grids.
 .
 It follows the OGC Two Dimensional Tile Matrix Set specification 2.0.

=== debian/watch ===
version=4
opts=\
pgpmode=none,\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|c|beta|b|alpha|a)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/@PACKAGE@-$1.$2/ \
https://github.com/developmentseed/morecantile/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## morecantile 7.0.3

=== debian/changelog ===
morecantile (7.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Update dates in d/copyright.
  * debian/patches:
    - Drop 0001-Fix-data-path.patch and 0002-Fix-typos.patch,
      applied upstream.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 21 Feb 2026 19:55:32 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: morecantile
 Section: python
-Priority: optional
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Build-Depends: debhelper-compat (= 13),
@@ -14,7 +13,7 @@
                python3-pydantic,
                python3-pyproj,
                python3-pytest <!nocheck>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/developmentseed/morecantile
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/morecantile

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=morecantile

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_install:
	$(RM) debian/*/usr/lib/python3*/*-packages/morecantile/data/README.md
